Description

Hi guys,

When I was younger, in a class, I wrote this:

"def intialize(some_argument_here)"

This lead to an error because it should have been:

"def initialize(some_argument_here)"

My proposal is simple:

Add a warning for an error like this. :)

(a) If there is no method called "initialize"

(b) but there is a message called "intialize",

in a given class, add a notification such as:

"warning: intialize might be misspelled, perhaps you meant initialize"

Reasoning: Perhaps other people out there also sometimes misspell

initialize, so that might make it a bit faster for them to

detect this error.

Related issues:

Related to Ruby - Feature #11252: Integrated "did_you_mean" gem to ruby-core Closed

History

#1 - 04/03/2015 09:01 PM - jeremyevans0 (Jeremy Evans)

What if I misspelled it "initailize"? Or "initalize"? Or any other of the numerous different ways to misspell it?

#2 - 04/04/2015 01:55 AM - phluid61 (Matthew Kerwin)

Jeremy Evans wrote:

What if I misspelled it "initailize"? Or "initalize"? Or any other of the numerous different ways to misspell it?

 Or "initialise"? Which I do with some regularity.

My solution: unit testing.

#3 - 06/17/2015 08:49 AM - duerst (Martin Dürst)

- Related to Feature #11252: Integrated "did_you_mean" gem to ruby-core added

#4 - 06/17/2015 08:51 AM - duerst (Martin Dürst)

- Status changed from Open to Closed

This issue can be closed because this will be covered by #11252 in a much more general way.
